Get user
curl --request GET \
--url https://app.sandbox.rio.trade/api/users/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/users/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"invoicing": {
"MX": {
"fiscalRegimenCode": 601
}
},
"individualData": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"birthday": "1988-06-06T00:00:00.000Z"
},
"businessData": {
"businessName": "<string>"
},
"createdAt": "2024-05-28T19:08:48.590Z",
"type": "business",
"phoneNumber": "+526589562354",
"email": "testing@rio.trade",
"onboarding": {
"status": "none",
"country": "MX",
"hasAcceptedTerms": true
},
"address": {
"street1": "Address 1",
"street2": "Address 2",
"city": "City",
"state": "State",
"country": "Country",
"postalCode": "Postal Code"
},
"id": "66562bc04fe8bf83c577c178",
"platformFeeRanges": {
"MX": {
"buy": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
],
"sell": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"accumulatedVolumeInUSD": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
},
"attributes": [
"<string>"
],
"serviceFee": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
}
}Users API
Get user
GET
/
api
/
users
/
{id}
Get user
curl --request GET \
--url https://app.sandbox.rio.trade/api/users/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/users/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"invoicing": {
"MX": {
"fiscalRegimenCode": 601
}
},
"individualData": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"birthday": "1988-06-06T00:00:00.000Z"
},
"businessData": {
"businessName": "<string>"
},
"createdAt": "2024-05-28T19:08:48.590Z",
"type": "business",
"phoneNumber": "+526589562354",
"email": "testing@rio.trade",
"onboarding": {
"status": "none",
"country": "MX",
"hasAcceptedTerms": true
},
"address": {
"street1": "Address 1",
"street2": "Address 2",
"city": "City",
"state": "State",
"country": "Country",
"postalCode": "Postal Code"
},
"id": "66562bc04fe8bf83c577c178",
"platformFeeRanges": {
"MX": {
"buy": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
],
"sell": [
{
"min": 123,
"max": 123,
"fee": 123,
"nextDaySettlementFee": 123,
"_id": "<string>"
}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"accumulatedVolumeInUSD": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
},
"attributes": [
"<string>"
],
"serviceFee": {
"MX": {
"buy": 123,
"sell": 123
},
"PE": {
"buy": 123,
"sell": 123
}
}
}v1 (legacy). This page documents the API before the v2 update. The v1
format is not enabled for new accounts and must be enabled on your account by
your account manager. New integrations should use the
current documentation. To update an existing integration,
follow the migration guide.
Authorizations
Path Parameters
Id of the user to be obtained.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Creation date of the user.
Example:
"2024-05-28T19:08:48.590Z"
Type of the user.
Available options:
business, individual Phone number of the user.
Example:
"+526589562354"
Email of the user.
Example:
"testing@rio.trade"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User attributes
Show child attributes
Show child attributes